<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RAssignedPresenceUsers StructType
 * @subpackage Structs
 */
class RAssignedPresenceUsers extends AbstractStructBase
{
    /**
     * The userid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userid;
    /**
     * The server
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $server;
    /**
     * The presenceRedundancyGroup
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $presenceRedundancyGroup;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RAssignedPresenceUsers
     * @uses RAssignedPresenceUsers::setUserid()
     * @uses RAssignedPresenceUsers::setServer()
     * @uses RAssignedPresenceUsers::setPresenceRedundancyGroup()
     * @uses RAssignedPresenceUsers::setUuid()
     * @param string $userid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server
     * @param string $presenceRedundancyGroup
     * @param string $uuid
     */
    public function __construct($userid = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server = null, $presenceRedundancyGroup = null, $uuid = null)
    {
        $this
            ->setUserid($userid)
            ->setServer($server)
            ->setPresenceRedundancyGroup($presenceRedundancyGroup)
            ->setUuid($uuid);
    }
    /**
     * Get userid value
     * @return string|null
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param string $userid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAssignedPresenceUsers
     */
    public function setUserid($userid = null)
    {
        $this->userid = $userid;
        return $this;
    }
    /**
     * Get server value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getServer()
    {
        return $this->server;
    }
    /**
     * Set server value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAssignedPresenceUsers
     */
    public function setServer(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server = null)
    {
        $this->server = $server;
        return $this;
    }
    /**
     * Get presenceRedundancyGroup value
     * @return string|null
     */
    public function getPresenceRedundancyGroup()
    {
        return $this->presenceRedundancyGroup;
    }
    /**
     * Set presenceRedundancyGroup value
     * @param string $presenceRedundancyGroup
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAssignedPresenceUsers
     */
    public function setPresenceRedundancyGroup($presenceRedundancyGroup = null)
    {
        $this->presenceRedundancyGroup = $presenceRedundancyGroup;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAssignedPresenceUsers
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
